<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog/1.9"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog/1.9
                      http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-1.9.xsd">
					  
	<changeSet id="0001" author="saliakhov">
        <comment>edit table</comment>
		<sql>
			ALTER TABLE ervu_dashboard.property
				ALTER COLUMN vehicle_type TYPE TEXT USING vehicle_type::TEXT,
				ALTER COLUMN vehicle_category TYPE TEXT USING vehicle_category::TEXT,
				ALTER COLUMN kind_right TYPE TEXT USING kind_right::TEXT,
				ALTER COLUMN issue_year TYPE TEXT USING issue_year::TEXT,
				ALTER COLUMN brand_model TYPE TEXT USING brand_model::TEXT,
				ALTER COLUMN reg_plate TYPE TEXT USING reg_plate::TEXT,
				ALTER COLUMN vin TYPE TEXT USING vin::TEXT;

			ALTER TABLE ervu_dashboard.citizenship_foreign
				ALTER COLUMN country_name TYPE TEXT USING country_name::TEXT,
				ALTER COLUMN residense_right_basis TYPE TEXT USING residense_right_basis::TEXT,
				ALTER COLUMN citizenship_basis TYPE TEXT USING citizenship_basis::TEXT;

			ALTER TABLE ervu_dashboard.prosecution
				ALTER COLUMN kind TYPE TEXT USING kind::TEXT,
				ALTER COLUMN authority_name TYPE TEXT USING authority_name::TEXT,
				ALTER COLUMN law_point TYPE TEXT USING law_point::TEXT,
				ALTER COLUMN termination_basis TYPE TEXT USING termination_basis::TEXT,
				ALTER COLUMN case_number TYPE TEXT USING case_number::TEXT;
		</sql>
	</changeSet>
</databaseChangeLog>